## org.apache.batik.ext.awt.image.spi
Interface ImageWriter

All Known Implementing Classes:
  ImageIOImageWriter, ImageIOJPEGImageWriter, ImageIOPNGImageWriter, ImageIOTIFFImageWriter, JPEGImageWriter, PNGImageWriter

    public interface ImageWriter

Interface which allows image library independent image writing.

Method Summary
`java.lang.String` `getMIMEType()`
`void` `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out)`
`void` `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out, ImageWriterParams params)`

Method Detail

### writeImage

    void writeImage(java.awt.image.RenderedImage image,
                    java.io.OutputStream out)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeImage

    void writeImage(java.awt.image.RenderedImage image,
                    java.io.OutputStream out,
                    ImageWriterParams params)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMIMEType

    java.lang.String getMIMEType()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.